Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| ParamConversionEnhancerTest | class | core/ |
@coversDefaultClass \Drupal\Core\Routing\Enhancer\ParamConversionEnhancer[[api-linebreak]] @group Enhancer |
| ParamConversionEnhancerTest.php | file | core/ |
|
| ParamConversionEnhancerTest::$paramConversionEnhancer | property | core/ |
|
| ParamConversionEnhancerTest::$paramConverterManager | property | core/ |
|
| ParamConversionEnhancerTest::setUp | function | core/ |
|
| ParamConversionEnhancerTest::testCopyRawVariables | function | core/ |
@covers ::copyRawVariables[[api-linebreak]] |
| ParamConversionEnhancerTest::testEnhance | function | core/ |
@covers ::enhance[[api-linebreak]] |
| paramconverter.configentity_admin | service | core/ |
Drupal\Core\ParamConverter\AdminPathConfigEntityConverter |
| paramconverter.entity | service | core/ |
Drupal\Core\ParamConverter\EntityConverter |
| paramconverter.entity_revision | service | core/ |
Drupal\Core\ParamConverter\EntityRevisionParamConverter |
| paramconverter.jsonapi.entity_uuid | service | core/ |
Drupal\jsonapi\ParamConverter\EntityUuidConverter |
| paramconverter.jsonapi.resource_type | service | core/ |
Drupal\jsonapi\ParamConverter\ResourceTypeConverter |
| paramconverter.menu_link | service | core/ |
Drupal\Core\ParamConverter\MenuLinkPluginConverter |
| paramconverter.views_ui | service | core/ |
Drupal\views_ui\ParamConverter\ViewUIConverter |
| ParamConverterInterface | interface | core/ |
Interface for parameter converters. |
| ParamConverterInterface.php | file | core/ |
|
| ParamConverterInterface::applies | function | core/ |
Determines if the converter applies to a specific route and variable. |
| ParamConverterInterface::convert | function | core/ |
Converts path variables to their corresponding objects. |
| ParamConverterManager | class | core/ |
Manages converter services for converting request parameters to full objects. |
| ParamConverterManager.php | file | core/ |
|
| ParamConverterManager::$converters | property | core/ |
Array of loaded converter services keyed by their ids. |
| ParamConverterManager::addConverter | function | core/ |
Registers a parameter converter with the manager. |
| ParamConverterManager::convert | function | core/ |
Invokes the registered converter for each defined parameter on a route. |
| ParamConverterManager::getConverter | function | core/ |
Lazy-loads converter services. |
| ParamConverterManager::setRouteParameterConverters | function | core/ |
Saves a list of applicable converters to each route. |
| ParamConverterManagerInterface | interface | core/ |
Provides an interface for a parameter converter manager. |
| ParamConverterManagerInterface.php | file | core/ |
|
| ParamConverterManagerInterface::addConverter | function | core/ |
Registers a parameter converter with the manager. |
| ParamConverterManagerInterface::convert | function | core/ |
Invokes the registered converter for each defined parameter on a route. |
| ParamConverterManagerInterface::getConverter | function | core/ |
Lazy-loads converter services. |
| ParamConverterManagerInterface::setRouteParameterConverters | function | core/ |
Saves a list of applicable converters to each route. |
| ParamConverterManagerTest | class | core/ |
@coversDefaultClass \Drupal\Core\ParamConverter\ParamConverterManager[[api-linebreak]] @group ParamConverter |
| ParamConverterManagerTest.php | file | core/ |
|
| ParamConverterManagerTest::$manager | property | core/ |
|
| ParamConverterManagerTest::providerTestAddConverter | function | core/ |
Provide data for parameter converter manager tests. |
| ParamConverterManagerTest::providerTestGetConverter | function | core/ |
Provide data for parameter converter manager tests. |
| ParamConverterManagerTest::providerTestSetRouteParameterConverters | function | core/ |
Provides data for testSetRouteParameterConverters(). |
| ParamConverterManagerTest::setUp | function | core/ |
|
| ParamConverterManagerTest::testConvert | function | core/ |
@covers ::convert[[api-linebreak]] |
| ParamConverterManagerTest::testConvertMissingParam | function | core/ |
@covers ::convert[[api-linebreak]] |
| ParamConverterManagerTest::testConvertNoConverting | function | core/ |
@covers ::convert[[api-linebreak]] |
| ParamConverterManagerTest::testGetConverter | function | core/ |
Tests \Drupal\Core\ParamConverter\ParamConverterManager::getConverter(). |
| ParamConverterManagerTest::testGetConverterException | function | core/ |
Tests \Drupal\Core\ParamConverter\ParamConverterManager::getConverter(). |
| ParamConverterManagerTest::testSetRouteParameterConverters | function | core/ |
@covers ::setRouteParameterConverters[[api-linebreak]] |
| ParamConverterSubscriber | class | core/ |
Event subscriber for registering parameter converters with routes. |
| ParamConverterSubscriber.php | file | core/ |
|
| ParamConverterSubscriber::$paramConverterManager | property | core/ |
The parameter converter manager. |
| ParamConverterSubscriber::getSubscribedEvents | function | core/ |
|
| ParamConverterSubscriber::onRoutingRouteAlterSetParameterConverters | function | core/ |
Applies parameter converters to route parameters. |
| ParamConverterSubscriber::__construct | function | core/ |
Constructs a new ParamConverterSubscriber. |
Pagination
- Previous page
- Page 1137
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.